| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiKernel.Configurable.PropertyReference Class Reference
Inheritance diagram for GaudiKernel.Configurable.PropertyReference:
[legend]
Collaboration diagram for GaudiKernel.Configurable.PropertyReference:
[legend]

## Public Member Functions
def | __init__ (self, propname)
def | __str__ (self)
def | __resolve__ (self)
def | getFullName (self)

## Public Attributes
| name

## Detailed Description

Definition at line 70 of file Configurable.py.

## Constructor & Destructor Documentation

def GaudiKernel.Configurable.PropertyReference.__init__ | ( |  | self,
|  |  | propname
| ) |  |

Definition at line 71 of file Configurable.py.

71 def __init__(self, propname):
72 self.name = propname
73
GaudiKernel.Configurable.PropertyReference.__init__
def __init__(self, propname)
Definition: Configurable.py:71
GaudiKernel.Configurable.PropertyReference.name
name
Definition: Configurable.py:72

## Member Function Documentation

def GaudiKernel.Configurable.PropertyReference.__resolve__ | ( |  | self | ) |

Definition at line 77 of file Configurable.py.

77 def __resolve__(self):
78 # late binding for property references
79 retval = None
80 refname, refprop = self.name.rsplit('.', 1)
81 if refname in Configurable.allConfigurables:
82 conf = Configurable.allConfigurables[refname]
83 retval = getattr(conf, refprop)
84 if hasattr(retval, "getFullName"):
85 retval = retval.getFullName()
86 else:
87 raise NameError("name '%s' not found resolving '%s'" %
88 (refname, self))
89 return retval
90
GaudiKernel.Configurable.PropertyReference.__resolve__
def __resolve__(self)
Definition: Configurable.py:77

def GaudiKernel.Configurable.PropertyReference.__str__ | ( |  | self | ) |

Definition at line 74 of file Configurable.py.

74 def __str__(self):
75 return "@%s" % self.name
76
GaudiKernel.Configurable.PropertyReference.__str__
def __str__(self)
Definition: Configurable.py:74
GaudiKernel.Configurable.PropertyReference.name
name
Definition: Configurable.py:72

def GaudiKernel.Configurable.PropertyReference.getFullName | ( |  | self | ) |

    This function allow transparent integration with
    Configurable.getValuedProperties.

Definition at line 91 of file Configurable.py.

91 def getFullName(self):
92 """This function allow transparent integration with
93 Configurable.getValuedProperties.
94 """
95 try:
96 return self.__resolve__()
97 except NameError:
98 # ignore the error if we cannot resolve the name yet
99 return self
100 except AttributeError:
101 # ignore the error if we cannot resolve the attribute yet
102 return self
103
104 # base class for configurable Gaudi algorithms/services/algtools/etc. ======
105
106
GaudiKernel.Configurable.PropertyReference.__resolve__
def __resolve__(self)
Definition: Configurable.py:77
GaudiKernel.Configurable.PropertyReference.getFullName
def getFullName(self)
Definition: Configurable.py:91

## Member Data Documentation

GaudiKernel.Configurable.PropertyReference.name

Definition at line 72 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py